Name:          handbrake
Version:       1.7.2
Release:       1mamba
Summary:       An open-source multithreaded video transcoder
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://handbrake.fr/
Source:        https://github.com/HandBrake/HandBrake/releases/download/%{version}/HandBrake-%{version}-source.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libass-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjansson-devel
BuildRequires: libjpeg-devel
BuildRequires: liblame-devel
BuildRequires: liblzma-devel
BuildRequires: libnuma-devel
BuildRequires: libogg-devel
BuildRequires: libopus-devel
BuildRequires: libpango-devel
BuildRequires: libspeex-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: libvpx-devel
BuildRequires: libx264-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libvpx-devel >= 1.14.0
BuildRequires: intel-gpu-tools

%description
HandBrake is an open-source, GPL-licensed, multithreaded video transcoder.

%debug_package

%prep
%setup -q -n HandBrake-%{version}

%build
./configure \
   --prefix=%{_prefix}

#   --enable-qsv
#--force

cd build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build PREFIX=%{_prefix}

%find_lang ghb

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f ghb.lang
%defattr(-,root,root)
%{_bindir}/ghb
%{_bindir}/HandBrakeCLI
%{_datadir}/applications/fr.handbrake.ghb.desktop
%{_datadir}/metainfo/fr.handbrake.ghb.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%doc COPYING 

%changelog
* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 1.7.2-1mamba
- automatic version update by autodist

* Wed Jan 25 2023 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Tue Jan 11 2022 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Mon Oct 04 2021 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue May 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- update to 1.3.3

* Sun Apr 16 2017 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Fri Feb 12 2016 Automatic Build System <autodist@mambasoft.it> 0.10.5-1mamba
- automatic version update by autodist

* Sat Jan 23 2016 Automatic Build System <autodist@mambasoft.it> 0.10.3-1mamba
- automatic version update by autodist

* Wed Jun 10 2015 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic version update by autodist

* Wed Mar 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1mamba
- update to 0.10.1

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sun May 19 2013 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Mon Aug 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- package created by autospec
